global gRollerList, gSpeciesList, gLinkRollerList, gTextCastLib, gPictList, gFrameLabel, gSpeakList, gSpeak, gFrom, gTo, gLabelList, gPrintBoard

on startMovie
  set the preLoadEventAbort to 0
  set the idleLoadMode to 1
  set gFrom to 15
  set gTo to 22
  set gTextCastLib to "text"
  set gRollerList to [31: 11, 32: 11, 33: 11, 34: member 21 of castLib "shared", 35: member 22 of castLib "shared", 36: member 23 of castLib "shared", 37: member 24 of castLib "shared", 38: member 25 of castLib "shared", 39: member 36 of castLib "shared"]
  set gLinkRollerList to [15: 332, 16: 345, 17: 358, 18: 372, 19: 387, 20: 400, 21: 415, 22: 428]
  set gLabelList to value(the text of field "L01")
end

on preLoadcheck
  if soundBusy(1) = 1 then
    exit
  end if
  preLoad(the frame + 60)
end

on linkGo L, H
  if voidp(getaProp(gLabelList, L)) = 1 then
    exit
  end if
  puppetSprite(6, 1)
  set y to getaProp(gLabelList, L)
  puppetSprite(9, 1)
  set the locV of sprite 9 to H
  do("go" && QUOTE & y & QUOTE)
  updateStage()
end

on checkBoxCheck
  if the hilite of member "check1" = 1 then
    set the hilite of member "check2" to 0
  end if
  if the hilite of member "check2" = 1 then
    set the hilite of member "check1" to 0
  end if
  if the hilite of member "check3" = 1 then
    set the hilite of member "check4" to 0
  end if
  if the hilite of member "check4" = 1 then
    set the hilite of member "check3" to 0
  end if
end

on ChoosePrint
  if the hilite of member "check1" then
    printBoard4mv300()
  end if
  if the hilite of member "check2" then
    set gPrintBoard to member "a4mv300.pic"
    printBoard()
  end if
end

on printBoard
  cursor(4)
  set doc to new(xtra("Printomatic_lite"))
  if not objectp(doc) then
    exit
  end if
  setLandscapeMode(doc, 1)
  append(doc, member gPrintBoard)
  cursor(1)
  printPreview(doc)
  if doJobSetup(doc) then
    print(doc)
  end if
  set doc to 0
end

on printBoard4mv300
  cursor(4)
  set doc to new(xtra("Printomatic_lite"))
  if not objectp(doc) then
    exit
  end if
  setLandscapeMode(doc, 1)
  append(doc, member "a2mv1300.pic")
  cursor(1)
  printPreview(doc)
  if doJobSetup(doc) then
    print(doc)
  end if
  set doc to 0
  cursor(4)
  set doc to new(xtra("Printomatic_lite"))
  if not objectp(doc) then
    exit
  end if
  setLandscapeMode(doc, 1)
  append(doc, member "a2mv2300.pic")
  cursor(1)
  printPreview(doc)
  if doJobSetup(doc) then
    print(doc)
  end if
  set doc to 0
  cursor(4)
  set doc to new(xtra("Printomatic_lite"))
  if not objectp(doc) then
    exit
  end if
  setLandscapeMode(doc, 1)
  append(doc, member "a2mv3300.pic")
  cursor(1)
  printPreview(doc)
  if doJobSetup(doc) then
    print(doc)
  end if
  set doc to 0
  cursor(4)
  set doc to new(xtra("Printomatic_lite"))
  if not objectp(doc) then
    exit
  end if
  setLandscapeMode(doc, 1)
  append(doc, member "a2mv4300.pic")
  cursor(1)
  printPreview(doc)
  if doJobSetup(doc) then
    print(doc)
  end if
  set doc to 0
end

on printQuestion
  cursor(4)
  set doc to new(xtra("Printomatic_lite"))
  if not objectp(doc) then
    exit
  end if
  append(doc, member 1 of castLib "text")
  cursor(1)
  if doJobSetup(doc) then
    print(doc)
    set doc to 0
  else
    set doc to 0
    exit
  end if
  repeat with x = 2 to 50
    set doc to new(xtra("Printomatic_lite"))
    if not objectp(doc) then
      exit
    end if
    append(doc, member x of castLib "text")
    print(doc)
    set doc to 0
  end repeat
end

on nextquestion
  puppetSprite(2, 1)
  set randmember to member random(300) of castLib "random"
  set the member of sprite 2 to randmember
  updateStage()
end
